env:
  CIRRUS_CLONE_DEPTH: 3
  FEATURES: huge

freebsd_task:
  name: FreeBSD
  matrix:
    - name: FreeBSD 13.1
      freebsd_instance:
        image_family: freebsd-13-1
    - name: FreeBSD 12.3
      freebsd_instance:
        image_family: freebsd-12-3
  timeout_in: 20m
  install_script:
    - pkg update -f
    - pkg install -y gettext
  build_script:
    - NPROC=$(getconf _NPROCESSORS_ONLN)
    - ./configure --with-features=${FEATURES}
    - make -j${NPROC}
  test_script:
    - src/vim --version
      # run tests as user "cirrus" instead of root
    - pw useradd cirrus -m
    - chown -R cirrus:cirrus .
    - sudo -u cirrus make test

macos_task:
  name: macOS m1
  macos_instance:
    image: ghcr.io/cirruslabs/macos-ventura-xcode:latest
  timeout_in: 20m
  install_script:
    - uname -a
    - brew update
    - brew install gettext libtool
  build_script:
    - NPROC=$(getconf _NPROCESSORS_ONLN)
    - ./configure --with-features=${FEATURES}
    - make -j${NPROC} CC=clang
  test_script:
    - src/vim --version
    - make CC=clang test
